/*
终端相关的命令
*/
//开启子进程
const { spawn } = require('child_process')
const commandSpawn = (...args) => {
    return new Promise((resolve, reject) => {
        const childProcess = spawn(...args)
        //将安装脚手架的进程显示出来
        childProcess.stdout.pipe(process.stdout)
        //出现错误显示的内容
        childProcess.stderr.pipe(process.stderr)
        //执行完就会出发close事件
        childProcess.on('close', () => {
            resolve('jj')
        })
    })
}
module.exports = {
    commandSpawn
}